<?
/*
VideoWhisper Video erp24 Integration (for Joomla):

Copyright (C) 2009  VideoWhisper.com
*/
// No direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

// Require the base controller
jimport('joomla.application.component.controller');


class RoomsControllerRoom extends JController
{

function display() {
parent::display();
}

/**
 * constructor (registers additional tasks to methods)
 * @return void
 */
function __construct()
{
    parent::__construct();

    // Register Extra tasks
    $this->registerTask( 'add'  ,     'edit' );
}


/**
 * display the edit form
 * @return void
 */
function edit()
{
    JRequest::setVar( 'view', 'room' );
    JRequest::setVar( 'layout', 'form'  );
    JRequest::setVar('hidemainmenu', 1);

    parent::display();
}


/**
 * save a record (and redirect to main page)
 * @return void
 */
function save()
{
    $model = $this->getModel('room');

    if ($model->store()) {
        $msg = JText::_( 'Room Saved!' );
    } else {
        $msg = JText::_( 'Error Saving Room' ) . "<BR>" . $model->getError();
    }

    // Check the table in so it can be edited.... we are done with it anyway
    $link = 'index.php?option=com_videowhisper_erp24';
    $this->setRedirect($link, $msg);
}

/**
 * remove record(s)
 * @return void
 */
function remove()
{
    $model = $this->getModel('room');
    if(!$model->delete()) {
        $msg = JText::_( 'Error: One or more rooms could not be deleted' ) . "<BR>" . $model->getError();
    } else {
        $msg = JText::_( 'Rooms(s) Deleted' );
    }

    $this->setRedirect( 'index.php?option=com_videowhisper_erp24', $msg );
}

/**
 * cancel editing a record
 * @return void
 */
function cancel()
{
    $msg = JText::_( 'Operation Cancelled' );
    $this->setRedirect( 'index.php?option=com_videowhisper_erp24', $msg );
}


}
?>